org.eclipse.microprofile.reactive.streams.operators.tck.arquillian

## Class ReactiveStreamsArquillianTck

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.reactive.streams.operators.tck.arquillian.ReactiveStreamsArquillianTck

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ReactiveStreamsArquillianTck
    extends org.jboss.arquillian.testng.Arquillian

Test runner for running the TCK in Arquillian.

To test your implementation in a MicroProfile container you need to:

1. Expose your `org.eclipse.microprofile.reactive.streams.operators.spi.ReactiveStreamsEngine` implementation as an `ApplicationScoped` bean,
2. Define an Arquillian test /deployment containing the bean exposing the engine
3. Have an integration test extending `org.eclipse.microprofile.reactive.streams.operators.tck.arquillian.ReactiveStreamsArquillianTck`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsArquillianTck()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `runAllTckTests()`
`static org.jboss.shrinkwrap.api.spec.JavaArchive` `tckDeployment()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsArquillianTck

    public ReactiveStreamsArquillianTck()

### Method Detail

#### tckDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.JavaArchive tckDeployment()

#### runAllTckTests

    public void runAllTckTests()
                        throws java.lang.Throwable

Throws:
  `java.lang.Throwable`